> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Get Sale Line

GET https://api.npretail.app/{tenant}/{environment}/{company}/pos/sale/{saleId}/saleline/{saleLineId}

Retrieves a specific sale line

Reference: https://docs.navipartner.com/apis/api-reference/pos/possale/get-pos-sale-line

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `saleId` (UUID, required) — The id of a POS sale. This can be provided by the API consumer when creating a new sale.
- `saleLineId` (UUID, required) — The id of a sale line within a POS sale.

## Response

### 200

- `id` (UUID, required) — The id of a sale line within a POS sale.
- `sortKey` (integer, required)
- `type` (enum, required)
  - Allowed values: `Item`, `Item Category`, `BOM List`, `Customer Deposit`, `Comment`, `Rounding`, `G/L Payment`, `Issue Voucher`
- `code` (string, required)
- `variantCode` (string, required)
- `description` (string, required)
- `quantity` (double, required)
- `unitPrice` (double, required)
- `discountPct` (double, required)
- `discountAmount` (double, required)
- `vatPercent` (double, required)
- `amountInclVat` (double, required)
- `amount` (double, required)
- `unitOfMeasure` (string, required)
- `isAddon` (boolean, required) — Whether this line is an addon to another item
- `description2` (string, optional)
- `appliesToLine` (UUID, optional) — If this is an addon, the SystemId of the parent line it applies to
- `deleted` (boolean, optional)

## Examples

**Response**

```json
{
  "id": "8408f65c-3a3f-4a62-a459-a94fd6ff9063",
  "sortKey": 10000,
  "type": "Item",
  "code": "ITEM-001",
  "variantCode": "",
  "description": "Premium Widget",
  "quantity": 2,
  "unitPrice": 50,
  "discountPct": 0,
  "discountAmount": 0,
  "vatPercent": 25,
  "amountInclVat": 125,
  "amount": 100,
  "unitOfMeasure": "PCS",
  "isAddon": false
}
```

**SDK Code**

```python
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/saleline/8408f65c-3a3f-4a62-a459-a94fd6ff9063"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/saleline/8408f65c-3a3f-4a62-a459-a94fd6ff9063';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/saleline/8408f65c-3a3f-4a62-a459-a94fd6ff9063"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/saleline/8408f65c-3a3f-4a62-a459-a94fd6ff9063")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/saleline/8408f65c-3a3f-4a62-a459-a94fd6ff9063")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/saleline/8408f65c-3a3f-4a62-a459-a94fd6ff9063', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/saleline/8408f65c-3a3f-4a62-a459-a94fd6ff9063");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/saleline/8408f65c-3a3f-4a62-a459-a94fd6ff9063")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```